Extending Qt Creator Manual | Invoker

Extending Qt Creator Manual 4.5.2

# Invoker Class

(ExtensionSystem::Invoker)

Inherits: | ExtensionSystem::InvokerBase

- List of all members, including inherited members

## Public Functions

| Invoker(QObject *target, const char *slot)
| Invoker(QObject *target, const char *slot, const T0 &t0)
| Invoker(QObject *target, const char *slot, const T0 &t0, const T1 &t1)
| Invoker(QObject *target, const char *slot, const T0 &t0, const T1 &t1, const T2 &t2)
| operator Result() const

- 5 public functions inherited from ExtensionSystem::InvokerBase

## Member Function Documentation

### Invoker::Invoker(QObject *target, const char *slot)

Default constructs an instance of Invoker.

### Invoker::Invoker(QObject *target, const char *slot, const T0 &t0)

Default constructs an instance of Invoker.

### Invoker::Invoker(QObject *target, const char *slot, const T0 &t0, const T1 &t1)

Default constructs an instance of Invoker.

### Invoker::Invoker(QObject *target, const char *slot, const T0 &t0, const T1 &t1, const T2 &t2)

Default constructs an instance of Invoker.

### Invoker::operator Result() const